commit b85c6268313e05ee9544841413cba83aa4068f42
Author: freddy77 <freddy77>
Date:   Mon Dec 22 15:33:55 2008 +0000

    use strtok_r instead of strtok

diff --git a/ChangeLog b/ChangeLog
index a43d709..4360348 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Dec 22 16:32:17 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c: use strtok_r instead of strtok
+
 Sat Dec 20 20:30:47 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/net.c: remove warning
 
@@ -1141,4 +1144,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2698 2008/12/20 19:30:55 freddy77 Exp $
+$Id: ChangeLog,v 1.2699 2008/12/22 15:33:55 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index f654480..1a35c6e 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.83 2008/12/20 19:30:55 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.84 2008/12/22 15:33:55 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -913,7 +913,7 @@ tds7_get_instance_ports(FILE *output, const char *ip_addr)
 
 		/* got data, read and parse */
 		if ((msg_len = recv(s, msg, sizeof(msg) - 1, 0)) > 3 && msg[0] == 5) {
-			char *name, sep[2] = ";";
+			char *name, sep[2] = ";", *save;
 
 			/* assure null terminated */
 			msg[msg_len] = 0;
@@ -932,14 +932,14 @@ tds7_get_instance_ports(FILE *output, const char *ip_addr)
 			/*
 			 * Parse and print message.
 			 */
-			name = strtok(msg+3, sep);
+			name = strtok_r(msg+3, sep, &save);
 			while (name && output) {
 				int i;
 				static const char *names[] = { "ServerName", "InstanceName", "IsClustered", "Version", 
 							       "tcp", "np", "via" };
-				
+
 				for (i=0; name && i < TDS_VECTOR_SIZE(names); i++) {
-					const char *value = strtok(NULL, sep);
+					const char *value = strtok_r(NULL, sep, &save);
 					
 					if (strcmp(name, names[i]) != 0)
 						fprintf(output, "error: expecting '%s', found '%s'\n", names[i], name);
@@ -948,8 +948,8 @@ tds7_get_instance_ports(FILE *output, const char *ip_addr)
 					else 
 						break;
 
-					name = strtok(NULL, sep);
-					
+					name = strtok_r(NULL, sep, &save);
+
 					if (name && strcmp(name, names[0]) == 0)
 						break;
 				}

